%def_enable shared
%def_enable static
%def_enable threads
%def_enable tcpd
%def_with ssl
%def_with xml
#-------------------------------------------------------------
%define subst_with_to() %{expand:%%{?_with_%{1}:--with-%{2}}} %{expand:%%{?_without_%{1}:--without-%{2}}}

%define Name YAZ
Name: yaz
%define lname lib%name
Version: 3.0.36
Release: alt2.1
Summary: Z39.50 Programs
License: Revised BSD License
Group: Development/Other
URL: http://www.indexdata.dk/%name/
Source: http://ftp.indexdata.dk/pub/%name/%name-%version.tar
Requires: %lname = %version-%release

# Automatically added by buildreq on Tue Jul 31 2007
#BuildRequires: docbook-style-dsssl gcc-c++ glibc-devel-static libncurses-devel libpcap-devel libreadline-devel libssl-devel libwrap-devel libxslt-devel tcl

BuildRequires: docbook-style-dsssl gcc-c++ libncurses-devel
BuildRequires: libreadline-devel libxslt-devel tcl
%{?_with_ssl:BuildRequires: libssl-devel}
%{?_enable_tcpd:BuildRequires: libwrap-devel}
%{?_enable_ziffy:BuildRequires: libpcap-devel}

%description
This package contains both a test-server and clients (normal & ssl) for
the ANSI/NISO Z39.50 protocol for Information Retrieval.


%package -n %lname
Summary: Z39.50 library %Name
Group: System/Libraries

%description -n %lname
%Name is a library for the ANSI/NISO Z39.50 protocol for Information
Retrieval.


%package -n %lname-devel
Summary: Development files for the Z39.50 library %Name
Group: Development/C
Requires: %lname%{?_disable_shared:-devel-static} = %version-%release
Requires: libxml2-devel

%description -n %lname-devel
Development files for the Z39.50 library %Name.


%if_enabled static
%package -n %lname-devel-static
Summary: Z39.50 static library %Name
Group: Development/C
Requires: %lname-devel = %version-%release

%description -n %lname-devel-static
Z39.50 static library %Name.
%endif


%package doc
Summary: Documentation for %Name
Group: Documentation
BuildArch: noarch

%description doc
Documentation for %Name.


%prep
%setup


%build
%configure --with-pcap \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable threads} \
    %{subst_enable tcpd} \
    %{subst_with_to xml xml2} \
    %{subst_with_to ssl openssl}
%make_build


%install
%make_install DESTDIR=%buildroot docdir=%_docdir/%name install
bzip2 --best --force --keep ChangeLog NEWS


%files
%doc README LICENSE NEWS.*
%_bindir/%name-client
%_bindir/%name-icu
%_bindir/%name-illclient
%_bindir/%name-ztest
%_bindir/zoomsh*
%_bindir/%name-marcdump
%_bindir/%name-iconv
%_man1dir/%name-client.*
%_man1dir/%name-icu.*
%_man1dir/%name-illclient.*
%_man8dir/%name-ztest.*
%_man1dir/zoomsh.*
%_man1dir/%name-marcdump.*
%_man1dir/%name-iconv.*
%_man7dir/%name-log.*


%files -n %lname
%{?_enable_shared:%_libdir/*.so.*}
%dir %_datadir/%name
%_datadir/%name/etc


%files -n %lname-devel
%doc ChangeLog.*
%_bindir/%name-config
%_bindir/%name-asncomp
%_includedir/%name
%{?_enable_shared:%_libdir/*.so}
%_pkgconfigdir/*
%_datadir/aclocal/*
%_man1dir/%name-asncomp.*
%_man7dir/%name.*
%_man8dir/%name-config.*
%_datadir/%name/z39.50
%_datadir/%name/ill


%if_enabled static
%files -n %lname-devel-static
%_libdir/*.a
%endif


%files doc
%_docdir/%name


%changelog
* Sun Nov 14 2010 Denis Smirnov <mithraen@altlinux.ru> 3.0.36-alt2.1
- rebuild (with the help of girar-nmu utility)

* Mon Dec 21 2009 Pavel Vainerman <pv@altlinux.ru> 3.0.36-alt2
- cleaned post and postun section

* Wed Oct 08 2008 Led <led@altlinux.ru> 3.0.36-alt1
- 3.0.36

* Mon Aug 04 2008 Led <led@altlinux.ru> 3.0.34-alt1
- 3.0.34
- removed patches (fixed in upstream)
- removed subpackage ziffy

* Sun Jun 29 2008 Led <led@altlinux.ru> 2.1.56-alt0.1
- 2.1.56
- cleaned up and fixed spec
- added %name-2.1.56-configure.patch
- added %name-2.1.56-tcl.patch
- fixed Requires
- fixed BuildRequires
- added subpackages: %lname-devel-static, %lname-doc, ziffy

* Thu Apr 12 2007 Pavel Vainerman <pv@altlinux.ru> 2.1.54-alt1
- new version
- change license (bug #11482)

* Tue Jan 30 2007 Pavel Vainerman <pv@altlinux.ru> 2.1.48-alt1
- new version (2.1.48)

* Sun Oct 16 2005 Pavel Vainerman <pv@altlinux.ru> 2.1.8-alt1
- first build for ALT Linux Sisyphus
